classification
Title: Fix compiler options for x64 builds on Windows
Type: compile error Stage: resolved
Components: Build, Windows Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: tim.golden Nosy List: brian.curtin, christian.heimes, haypo, jeremy.kloth, jkloth, loewis, python-dev, tim.golden
Priority: normal Keywords: patch

Created on 2012-08-27 14:17 by jkloth, last changed 2013-10-29 21:10 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
pcbuild.diff jkloth, 2012-08-27 14:17 review
pcbuild.diff.2 tim.golden, 2013-10-24 09:46 review
Messages (8)
msg169200 - (view) Author: Jeremy Kloth (jkloth) * Date: 2012-08-27 14:17
The attached patch fixes the compiler options used for building the x64 platform.

- In VC10 the passing /GS- as an additional option has been replaced by the MSBuild BufferSecurityCheck command
- The /USECL:xxx option is only for the VSExtComp plugin for VS.NET 2003 (VC7.1) used to build a 64-bit Python 2.5

The attached patch modifies the x64 properties for VS8/9/10.
msg169222 - (view) Author: Jeremy Kloth (jeremy.kloth) Date: 2012-08-27 21:20
I did forgot t mention that this change also silences a compiler warning:

cl : Command line warning D9025: overriding '/GS' with '/GS-'

The /USECL:xxx option does not provoke a warning is it is being
evaluated as '/U "SECL:xxx"' (undefine macro)
msg192608 - (view) Author: Jeremy Kloth (jkloth) * Date: 2013-07-08 03:14
Adding Victor Stinner as he has been quite active in fixing Windows 64-bit issues.
msg192800 - (view) Author: Jeremy Kloth (jkloth) * Date: 2013-07-10 12:37
Just to note that, as it stands, these wrongly assigned options account for 28 of the 216 warnings (or 13%) currently emitted.  This is just one easy step towards a warning-free 64-bit Windows build.

It would be nice to get Win64 to be one of the warning-free platforms (see msg63893 of issue1616).
msg201107 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2013-10-24 09:46
Retargetted patch against current tip. If no-one objects I'll commit this in the next day or two.
msg201488 - (view) Author: Roundup Robot (python-dev) Date: 2013-10-27 20:04
New changeset 7c46b1b239fe by Tim Golden in branch 'default':
Issue 15792 Correct build options on Win64. Patch by Jeremy Kloth.
http://hg.python.org/cpython/rev/7c46b1b239fe
msg201521 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2013-10-28 10:33
Applied. Thanks for the patch.
msg201672 - (view) Author: Roundup Robot (python-dev) Date: 2013-10-29 21:10
New changeset c49b8bdcb5cb by Tim Golden in branch '3.3':
Issue 15792 Correct build options on Win64. Patch by Jeremy Kloth.
http://hg.python.org/cpython/rev/c49b8bdcb5cb
History
Date User Action Args
2013-10-29 21:10:11python-devsetmessages: + msg201672
2013-10-28 10:33:32tim.goldensetstatus: open -> closed
resolution: fixed
messages: + msg201521

stage: resolved
2013-10-27 20:04:48python-devsetnosy: + python-dev
messages: + msg201488
2013-10-24 09:46:42tim.goldensetfiles: + pcbuild.diff.2
assignee: tim.golden
messages: + msg201107
2013-07-10 12:37:15jklothsetmessages: + msg192800
2013-07-08 14:15:12christian.heimessetnosy: + christian.heimes
type: compile error
components: + Windows
2013-07-08 03:14:43jklothsetnosy: + haypo
messages: + msg192608
2012-08-27 21:20:50jeremy.klothsetnosy: + jeremy.kloth
messages: + msg169222
2012-08-27 20:59:45pitrousetnosy: + tim.golden, brian.curtin
2012-08-27 17:21:35georg.brandlsetnosy: + loewis
2012-08-27 14:17:30jklothcreate